<div class="product-offer-list-item" [ngClass]="{ 'has-no-heck': !hasCheck }">
  <mo-checkbox
    [id]="id"
    *ngIf="hasCheck"
    [(ngModel)]="isChecked"
    (checked)="onFocus($event)"
  ></mo-checkbox>
  <div class="product-offer-list-item__card">
    <layout-product-offer-card
      [isLoading]="isLoading"
      [amountLabel]="amountLabel"
      [numberOfInstallmentsLabel]="numberOfInstallmentsLabel"
      [productOfferCard]="productOfferListItem"
      [showDetails]="hasCheck"
      [listDetails]="listDetails"
      [showIsNewTag]="showIsNewTag"
    >
    </layout-product-offer-card>
  </div>
  <mo-input
    #inputComissionEl
    *ngIf="canEdit"
    placeholder="%"
    [(ngModel)]="value"
    (ngModelChange)="onChange()"
    [disabled]="!isChecked"
    [type]="INPUT_TYPE.DECIMAL"
  >
  </mo-input>
  <span class="product-offer-list-item__value" *ngIf="!canEdit">
    {{ onParseFloatPercentage(productOfferListItem?.commission) }}
  </span>
  <span class="product-offer-list-item__value">
    {{ onParseFloatPercentage(tax) }}
  </span>
</div>
